%define realversion 1.0-b1

Summary: Xview Based front-end for the ldp - line printer spooler daemon.
Name: xvprint
Version: 1.0b1
Release: 2mdk
Source: ftp://step.polymtl.ca/pub/Xview/apps/xvprint/%{name}-%{realversion}.tar.bz2
Source2: %{name}.menu
Source3: %{name}-16.png.bz2
Source4: %{name}-32.png.bz2
Source5: %{name}-48.png.bz2
Patch: %{name}.patch.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-root
License: GPL
Group: System/Configuration/Printing
Requires: xview
BuildRequires: xview-devel
BuildRequires: XFree86-devel
# Url: If someone found ??

%description 
XVPrint is a Xview graphical front-end for the lpd (BSD Line Printer Spooler),
which allows you to use the 'lpr', 'lpq' and 'lprm' commands in an easy way.

If you want to build the source package you need the XView API (Application
Programming Interface) provided with the xview-devel package.

%prep

%setup -q -n %{name}-%{realversion}
%patch -p1

%build
%configure  --prefix=%{_prefix}
%make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT/ ; fi
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
%makeinstall DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man1 INFODIR=$RPM_BUILD_ROOT%{_infodir} BINDIR=$RPM_BUILD_ROOT%{_bindir}
# BINDIR=$RPM_BUILD_ROOT/%{_prefix}/X11R6/bin/ MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man1  INFODIR=$RPM_BUILD_ROOT/%{_prefix}/X11R6/lib/help

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}

bzcat %{SOURCE3} > %{name}-16.png
bzcat %{SOURCE4} > %{name}-32.png
bzcat %{SOURCE5} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
needs="X11"\
section="Configuration/Printing" \
title="XVPrint"\
icon="%{name}.png"\
command="%{_bindir}/xvprint"\
longtitle="Xview XVPrint"
EOF
)

%post
## menu
%update_menus
%_install_info %{name}.info

%postun
## menu
%clean_menus
%_remove_install_info %{name}.info

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc BUGS COPYING README TODO
%{_bindir}/xvprint
%{_mandir}/man1/*.bz2
%{_infodir}/*.info.bz2
%{_menudir}/%{name}
# %{_iconsdir}/*.xpm
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0b1-2mdk
- rebuild

* Mon Jun 03 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0b1-1mdk
- 1.0-b1
- cleanup, fix destdir
- png icons

* Wed Sep 26 2001 Philippe Libat <philippe@mandrakesoft.com> 1.0-1mdk
- first spec

